6 Replies Latest reply on Nov 25, 2015 2:47 PM by Claudio González

    I currently have version 15.3, Adobe Reader can I install the previous version? [Android]

    ventorr Level 1

      I currently have version 15.3, Adobe Reader can I install the previous version? So no update on 15/11/2015. If so, please write where and how?